package mvilla.posicionamientowifi.Actividades;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import mvilla.posicionamientowifi.Adaptadores.CAdaptadorListaMapas;
import mvilla.posicionamientowifi.CDatosComunes;
import mvilla.posicionamientowifi.CMainActivity;
import mvilla.posicionamientowifi.Definiciones.CDatoMapa;
import mvilla.posicionamientowifi.R;

/**
 * Created by Miguel on 29/10/2015.
 */
public class CListaMapas extends ListActivity
{

    public CAdaptadorListaMapas m_adaptador;


    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.lista_mapas);
        m_adaptador = new CAdaptadorListaMapas(this, CMainActivity.m_vMapas);
        setListAdapter(m_adaptador);
    }

    @Override
    public void onListItemClick(ListView lista, View view, int i, long l)
    {
        super.onListItemClick(lista, view, i, l);

        //i es la posicion que se ha pulsado
        Intent intent = new Intent();
        intent.putExtra(CDatosComunes.POSICION_MAPA_ESCOGIDO, i);
        setResult(RESULT_OK, intent);
        finish();
    }
}
