package mvilla.posicionamientowifi.Adaptadores;

import android.app.Activity;
import android.support.v7.app.AppCompatActivity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import org.w3c.dom.Text;

import java.util.Vector;

import mvilla.posicionamientowifi.Definiciones.CDatoMapa;
import mvilla.posicionamientowifi.R;

/**
 * Created by Miguel on 13/09/2015.
 */
public class CAdaptadorListaMapas extends BaseAdapter
{
    private Activity            m_Actividad;
    private Vector<CDatoMapa>   m_vLista;

    public CAdaptadorListaMapas (Activity actividad, Vector<CDatoMapa> lista)
    {
        super();
        m_Actividad = actividad;
        m_vLista = lista;
    }

    @Override
    public int getCount()
    {
        return m_vLista.size();
    }

    @Override
    public Object getItem(int i)
    {
        return m_vLista.elementAt(i);
    }

    @Override
    public long getItemId(int i)
    {
        return i; //Devolvemos la misma posición que recibimos
    }

    @Override
    public View getView(int i, View view, ViewGroup viewGroup)
    {
        LayoutInflater infalter = m_Actividad.getLayoutInflater();
        View vista = infalter.inflate(R.layout.elemento_lista_mapas, null, true);
        TextView nombreJugador = (TextView)vista.findViewById(R.id.nombreMapa);


        CDatoMapa datos = m_vLista.elementAt(i);
        nombreJugador.setText(datos.Nombre());

        return vista;
    }
}
