package mvilla.posicionamientowifi;

import android.content.Context;
import android.content.Intent;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiManager;

import java.util.List;
import java.util.Vector;

import mvilla.posicionamientowifi.Definiciones.CInfoWifi;

/**
 * Created by Miguel on 26/10/2015.
 */
public class CMgrWifi
{
    WifiManager m_wifiMgr;
    Context m_context;

    public CMgrWifi (Context c)
    {
        m_context = c;
    }

    public boolean IniciarlizarMgr ()
    {
        try
        {
            m_wifiMgr = (WifiManager)m_context.getSystemService(Context.WIFI_SERVICE);

            return true;
        }
        catch (Exception e)
        {
            return false;
        }
    }

    public Vector<CInfoWifi> EscanearWifis ()
    {
        return EscanearWifis(CDatosComunes.FACTOR_DIVISION_WIFI);
    }

    public Vector<CInfoWifi> EscanearWifis (int divisor)
    {
        m_wifiMgr.startScan();

        List<ScanResult> wifiScanList = m_wifiMgr.getScanResults();

        Vector<CInfoWifi> vRet = new Vector<CInfoWifi>();

        for(int i = 0; i < wifiScanList.size(); i++)
        {
            CInfoWifi dato = new CInfoWifi();
            dato.m_nombre = wifiScanList.get(i).SSID;
            dato.m_mac = wifiScanList.get(i).BSSID;
            dato.m_potencia = wifiScanList.get(i).level;

            dato.m_potencia = WifiManager.calculateSignalLevel(wifiScanList.get(i).level, divisor);

            vRet.add(dato);
        }

        return vRet;
    }
}
